python3-pydot_1.0.28-1_all.deb


Advertisement

Description

python3-pydot - Python interface to Graphviz's dot (Python 3)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name python3-pydot
Package version 1.0.28
Package release 1
Package architecture all
Package type deb
Installed size 77 B
Download size 19.71 KB
Official Mirror ftp.br.debian.org
pydot allows one to easily create both directed and non directed graphs from
Python. Currently all attributes implemented in the Dot language are supported.
Output can be inlined in Postscript into interactive scientific environments
like TeXmacs, or output in any of the format's supported by the Graphviz tools
dot, neato, twopi.
This package contains pydot for Python 3.

Alternatives

Package Version Architecture Repository
python3-pydot_1.2.3-1.1~nd80+1_all.deb 1.2.3 all NeuroDebian Main
python3-pydot_1.2.3-1.1~nd80+1_all.deb 1.2.3 all NeuroDebian Main
python3-pydot_1.0.28-1_all.deb 1.0.28 all Debian Main
python3-pydot - - -

Requires

Name Value
graphviz -
python3-pkg-resources -
python3-pyparsing >= 2.0.1+dfsg1-1
python3:any >= 3.3.2-2~

Download

Type URL
Binary Package python3-pydot_1.0.28-1_all.deb
Source Package pydot

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python3-pydot deb package:
    # sudo apt-get install python3-pydot

Files

Path
/usr/lib/python3/dist-packages/dot_parser.py
/usr/lib/python3/dist-packages/pydot.py
/usr/lib/python3/dist-packages/pydot-1.0.32.egg-info/PKG-INFO
/usr/lib/python3/dist-packages/pydot-1.0.32.egg-info/dependency_links.txt
/usr/lib/python3/dist-packages/pydot-1.0.32.egg-info/requires.txt
/usr/lib/python3/dist-packages/pydot-1.0.32.egg-info/top_level.txt
/usr/share/doc/python3-pydot/changelog.Debian.gz
/usr/share/doc/python3-pydot/copyright

Changelog

2014-03-22 - Sandro Tosi <morph@debian.org>
pydot (1.0.28-1) unstable; urgency=low
[ Sandro Tosi ]
* New upstream release; Closes: #638869
- fixes crash during DOT string conversion; Closes: #639993
* debian/control
- switch Vcs-Browser field to viewsvn
- adopt package: thanks Peter for the work you did; Closes: #739875
- updated Homepage field; Closes: #686390
- bump Standards-Version to 3.9.5 (no changes needed)
- removed Conflict, no longer needed (version already superseded in stable)
- removed old XB-P-V, no longer needed
- added misc:Depends to binary package
- extend long description
- bump python-pyparsing dependecies on v2
- added python{,3}-setuptools, graphviz  to b-d
* debian/copyright
- converted to DEP-5 format
- updated as per new upstream release
* debian/patches/01-setup-py-nodata.patch
- refreshed
* Converted to 3.0 (quilt) source format
* debian/{control, rules}
- converted to dh sequencer
* debian/{pycompat, pyversions}
- removed, no longer needed
* Switch to dh_python2
* debian/patches/support-pyparsing-v2.patch
- support pyparsing v2 module; Closes: #729085
* Support Python3; Closes: #739858
* debian/patches/handle-double-quoted-strings-with-escaped-quotes.patch
- proper handle of double quoted strings with escaped quotes
* Added (from upstream SVN) unittest files and execute them at build time
[ Jakub Wilk ]
* Use canonical URIs for Vcs-* fields.
* Remove DM-Upload-Allowed; it's no longer used by the archive
software.
2008-05-26 - Peter Collingbourne <pcc03@doc.ic.ac.uk>
pydot (1.0.2-1) unstable; urgency=low
* New upstream release.
* debian/patches/01-setup-py-nodata.patch: patched setup.py to stop
data files being installed to /usr
* debian/pyversions, debian/control: package now works with only
Python 2.4+
* debian/control:
- dependency on python-parsing changed to (>= 1.4.10) due to
nestedExpr symbol requirement
- added Conflicts on dot2tex (<< 2.8.0) due to incompatibility
- added DM-Upload-Allowed: yes
- moved python-support to Build-Depends as required for clean target
- changed Section to python
* debian/copyright: updated year
* debian/watch: escaped the dots
2008-01-03 - Sandro Tosi <matrixhasu@gmail.com>
pydot (0.9.10-3) UNRELEASED; urgency=low
* debian/control
- uniforming Vcs-Browser field
2007-11-12 - Peter Collingbourne <pcc03@doc.ic.ac.uk>
pydot (0.9.10-2) unstable; urgency=low
* debian/copyright: Rewrapped to 80 characters per line
* debian/watch: Updated with new download location (closes: #450120)
* debian/control:
- added Debian Python Modules Team to Uploaders
- added Homepage, Vcs-Browser, Vcs-Svn fields
- removed Provides field
- changed python-all-dev to python in Build-Depends
- moved packages from Build-Depends to Build-Depends-Indep
2006-11-08 - Peter Collingbourne <pcc03@doc.ic.ac.uk>
pydot (0.9.10-1) unstable; urgency=low
* Initial release (Closes: #397663)

See Also

Package Description
python3-pyelliptic_1.5.5-2_all.deb High level Python wrapper for OpenSSL (Python 3)
python3-pyfftw_0.9.2+dfsg-2_i386.deb Pythonic wrapper around FFTW - Python 3
python3-pyfiglet_0.7.2+dfsg-1_all.deb Python 3 port of the FIGlet specification
python3-pyfits_3.3-2+b1_i386.deb Python3 module for reading, writing, and manipulating FITS files
python3-pygments_2.0.1+dfsg-1.1+deb8u1_all.deb syntax highlighting package written in Python 3
python3-pygraph_1.8.2-6_all.deb library for working with graphs in Python (Python3)
python3-pyinotify_0.9.4-1_all.deb simple Linux inotify Python bindings
python3-pykcs11_1.3.0-1_i386.deb PKCS#11 wrapper for Python
python3-pykde4_4.14.0-1_i386.deb Python 3 bindings for the KDE Development Platform
python3-pykka_1.2.0-2_all.deb Actor model library for Python (Python 3)
python3-pylast_1.0.0-1_all.deb Python 3 interface to Last.fm and other compatible services
python3-pyld_0.6.2-1_all.deb implementation of the JSON-LD API
python3-pylibacl_0.5.2-1_i386.deb module for manipulating POSIX.1e ACLs (Python3 version)
python3-pymemcache_1.2.4-2_all.deb comprehensive, fast, pure Python memcached client - Python 3.x
python3-pymongo-ext_2.7.2-1_i386.deb C-coded extension to the python3-pymongo package
Advertisement
Advertisement